> ## Documentation Index
> Fetch the complete documentation index at: https://docs.carbn.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Custody Wallet Transfer

> Initiate a transfer from a Carbn custody wallet to an external address



## OpenAPI

````yaml /api-reference/openapi.json post /payment/api/v1/custody-wallet/transfer
openapi: 3.0.0
info:
  title: Carbn Connect API
  version: 1.0.0
  description: >-
    API documentation for Carbn Connect services including user onboarding, KYC,
    wallet management, and transfers.
servers:
  - url: https://api.carbnconnect.com
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /payment/api/v1/custody-wallet/transfer:
    post:
      tags:
        - Custody Wallet
      summary: Custody Wallet Transfer
      description: Initiate a transfer from a Carbn custody wallet to an external address
      operationId: custodyWalletTransfer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustodyWalletTransferRequest'
      responses:
        '200':
          description: Transfer initiated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustodyWalletTransferResponse'
        '400':
          description: Invalid request
        '401':
          description: Unauthorized - API key is missing or invalid
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CustodyWalletTransferRequest:
      type: object
      required:
        - custody_wallet_id
        - user_id
        - to_address
        - crypto
        - amount
      properties:
        custody_wallet_id:
          type: string
          format: uuid
          example: c10dad79-4bd8-47f4-933e-4f197c5af680
          description: The unique identifier of the custody wallet
        user_id:
          type: string
          format: uuid
          example: 810b82b7-bd72-48c2-980f-0887fe20f08e
          description: The unique identifier of the user
        to_address:
          type: string
          example: 3BsSGETYNCjfULdgYEBVmzwXgaspS6E5pgncJr3bfBeU
          description: The destination wallet address
        crypto:
          type: string
          example: usdc
          description: The cryptocurrency to transfer
        amount:
          type: number
          example: 1
          description: The amount to transfer
        customer_fee:
          type: number
          example: 0.1
          description: >-
            Fee charged to the customer for this transfer (denominated in the
            same crypto currency)
        customer_transaction_id:
          type: string
          example: 3n39b7-bd72-48c2-980f-0887fe20f08e
          description: >-
            Customer-provided transaction identifier for tracking and
            idempotency
    CustodyWalletTransferResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: 6956a36c-528b-43c3-bc39-6000dc234fd8
          description: Unique identifier of the transfer
        custody_wallet_id:
          type: string
          format: uuid
          example: c10dad79-4bd8-47f4-933e-4f197c5af680
          description: Source custody wallet ID
        to_address:
          type: string
          example: 3BsSGETYNCjfULdgYEBVmzwXgaspS6E5pgncJr3bfBeU
          description: Destination wallet address
        crypto:
          type: string
          example: usdc
          description: Cryptocurrency transferred
        status:
          type: string
          example: INITIATED
          description: Transfer status
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication. Must be included in the x-api-key header.

````